      /if not defined(JSON_UTL_H)
      /define JSON_UTL_H

      *-------------------------------------------------------------------------
      * Prototypes : JSON Utilities
      *-------------------------------------------------------------------------
     D json_util_getDate...
     D                 PR              D   extproc('json_util_getDate') opdesc
     D   json                          *   const
     D   key                      65535A   const options(*varsize)
      *
     D json_util_putDate...
     D                 PR                  extproc('json_util_putDate') opdesc
     D   json                          *   const
     D   key                      65535A   const options(*varsize)
     D   value                         D   const
      *
     D jsona_util_getDate...
     D                 PR              D   extproc('jsona_util_getDate')
     D   json                          *   const
     D   index                       10U 0 const
      *
     D jsona_util_putDate...
     D                 PR                  extproc('jsona_util_putDate')
     D   json                          *   const
     D   value                         D   const
     D   index                       10U 0 const options(*nopass)
      *
     D json_util_fromFile...
     D                 PR              *   extproc('json_util_fromFile')
     D  filePath                   1024A   const
     D  pDeleteFile                    N   const options(*nopass)
      *
     D json_util_toFile...
     D                 PR                  extproc('json_util_toFile')
     D  json                           *   const
     D  filePath                   1024A   const
     D  pCcsid                       10I 0 const options(*nopass : *omit)
     D  pDeleteFile                    N   const options(*nopass : *omit)
     D  pOutputFormat...
     D                               10I 0 const options(*nopass)
     D  pPrettyPrintFormat...
     D                                     likeds(json_prettyPrintFormat)
     D                                     const options(*nopass)
      *
     D json_util_putDecimal...
     D                 PR                  extproc('json_util_putDecimal')
     D                                     opdesc
     D   jsonPtr                       *   const
     D   key                      65535A   const options(*varsize)
     D   value                       30P10 const
     D   pDecimalPositions...
     D                                2P 0 const options(*nopass)
      *
     D json_util_getDecimal...
     D                 PR            30P10 extproc('json_util_getDecimal') 
     D                                     opdesc
     D   json                          *   const
     D   key                      65535A   const options(*varsize)
      *
     D jsona_util_putDecimal...
     D                 PR                  extproc('jsona_util_putDecimal')
     D   json                          *   const
     D   value                       30P10 const
     D   decimalPositions...
     D                                2P 0 const options(*nopass : *omit)
     D   index                       10U 0 const options(*nopass)
      * 
     D jsona_util_getDecimal...
     D                 PR            30P10 extproc('jsona_util_getDecimal') 
     D   json                          *   const
     D   index                       10U 0 const
      *
     D json_util_getTime...
     D                 PR              T   extproc('json_util_getTime') opdesc
     D   json                          *   const
     D   key                      65535A   const options(*varsize)
      *
     D json_util_putTime...
     D                 PR                  extproc('json_util_putTime') opdesc
     D   json                          *   const
     D   key                      65535A   const options(*varsize)
     D   value                         T   const
      *
     D jsona_util_getTime...
     D                 PR              T   extproc('jsona_util_getTime')
     D   json                          *   const
     D   index                       10U 0 const
      *
     D jsona_util_putTime...
     D                 PR                  extproc('jsona_util_putTime')
     D   json                          *   const
     D   value                         T   const
     D   index                       10U 0 const options(*nopass)
      *
     D json_util_getTimestamp...
     D                 PR              Z   extproc('json_util_getTimestamp')
     D                                     opdesc
     D   json                          *   const
     D   key                      65535A   const options(*varsize)
      *
     D json_util_putTimestamp...
     D                 PR                  extproc('json_util_putTimestamp')
     D                                     opdesc
     D   json                          *   const
     D   key                      65535A   const options(*varsize)
     D   value                         Z   const
      *
     D jsona_util_getTimestamp...
     D                 PR              Z   extproc('jsona_util_getTimestamp')
     D   json                          *   const
     D   index                       10U 0 const
      *
     D jsona_util_putTimestamp...
     D                 PR                  extproc('jsona_util_putTimestamp')
     D   json                          *   const
     D   value                         Z   const
     D   index                       10U 0 const options(*nopass)
      *
     D json_util_dsToJsonObject...
     D                 PR              *   extproc('json_util_dsToJsonObject')
     D   dataStructure...
     D                            65535A   options(*varsize)
     D   qualifiedFileName...
     D                               20A   const
     
      /endif
